Bug 486646 - MailMerge to HTML EMail Produces MSWord XML Garbage
MailMerge to HTML EMail Produces MSWord XML Garbage
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 15:26 EST by Eli Wapniarski
Modified: 2009-02-28 09:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 09:48:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Origianal Document Producing Garbage on HTML mailmerge (19.53 KB, application/vnd.oasis.opendocument.text)
2009-02-23 06:12 EST, Eli Wapniarski
no flags Details
Original .openoffice.org (1.43 MB, application/x-bzip-compressed-tar)
2009-02-24 06:29 EST, Eli Wapniarski
no flags Details

  None (edit)
Description Eli Wapniarski 2009-02-20 15:26:48 EST
I have 2 different scenarios here

1) After clicking on Send Document after clicking on Send as HTML Message, the process seems to take a very very long time before the document is sent. I just send the mail as is without editing or modifying it in anyway, the email that is starts off
 
2009-02-17T13:27:03
HTML: <META NAME="CHANGEDBY" CONTENT="Eli Wapniarski">
2009-02-17T13:27:03
HTML: <META NAME="CHANGEDBY" CONTENT="Eli Wapniarski">
2009-02-17T13:27:03
HTML: <META NAME="CHANGEDBY" CONTENT="Eli Wapniarski">
2009-02-17T13:27:03
<!--[if gte mso 9]><xml>
 <o:DocumentProperties>
  <o:Author>Eli Wapniarski</o:Author>
  <o:LastAuthor>Eli Wapniarski</o:LastAuthor>
  <o:Revision>2</o:Revision>
  <o:TotalTime>37</o:TotalTime>
  <o:Created>2002-10-14T13:32:00Z</o:Created>
  <o:LastSaved>2002-10-14T13:32:00Z</o:LastSaved>
  <o:Pages>2</o:Pages>
  <o:Words>357</o:Words>
  <o:Characters>2036</o:Characters>
  <o:Lines>16</o:Lines>
  <o:Paragraphs>4</o:Paragraphs>
  <o:CharactersWithSpaces>2500</o:CharactersWithSpaces>
  <o:Version>9.4402</o:Version>
 </o:DocumentProperties>
</xml><![endif]-->
2009-02-17T13:27:03
<!--[if gte mso 9]><xml>
 <w:WordDocument>
  <w:MailMergeMainDocType>FormLetters</w:MailMergeMainDocType>
  <w:MailMergeLinkToQuery/>
  <w:MailMergeQueryString>SELECT * FROM C:\WINDOWS\Profiles\eli000\My Documents\Job Hunting\Job Hunting Addresses.doc WHERE ((Contact = 'Eli Wapniarski'))</w:MailMergeQueryString>
  <w:MailMergeDataSource
   HRef="C:\WINDOWS\Profiles\eli000\My Documents\Job Hunting\Job Hunting Addresses.doc"></w:MailMergeDataSource>
  <w:MailMergeDestination>Email</w:MailMergeDestination>
  <w:MailMergeMailAddressFieldName>Email</w:MailMergeMailAddressFieldName>
  <w:MailMergeMailSubject>Application For Employment</w:MailMergeMailSubject>
  <w:MailMergeCheckErrors>3</w:MailMergeCheckErrors>
 </w:WordDocument>
</xml><![endif]-->
2009-02-17T13:27:03
<!--[if gte mso 9]><xml>
 <o:shapedefaults v:ext="edit" spidmax="1026"/>
</xml><![endif]-->
2009-02-17T13:27:03
<!--[if gte mso 9]><xml>
 <o:shapelayout v:ext="edit">
  <o:idmap v:ext="edit" data="1"/>
 </o:shapelayout></xml><![endif]-->
To: Eli Wapniarski
Please consider this letter and the accompanying resume as an application for employment with Eli Wapniarski. I believe that I am best suited for a position as a system administrator. However, I would be very happy to consider any position that you feel match my qualifications.
I look forward to hearing from you in the near future.

NOTE: Both places where it says Eli Wapniarski is text generated from records in dbase database.

What should follow is my Resume. But what I get are records from the database


2) If I edit the email and change the view to web view from printing view I get a completely blank email.
Comment 3 David Tardon 2009-02-23 02:29:22 EST
What is exact version of your openoffice.org? What openoffice.org packages have you installed? (Run

rpm -q openoffice.org-core
yum list installed openoffice.org-\*

in terminal to get the information.) Which data source are you using as the address list?
Comment 4 Eli Wapniarski 2009-02-23 02:47:16 EST
datasource is a dbase database.

rpm -qa | grep openoffice
openoffice.org-writer-3.0.1-15.2.fc10.x86_64
openoffice.org-writer-core-3.0.1-15.2.fc10.x86_64
openoffice.org-javafilter-3.0.1-15.2.fc10.x86_64
openoffice.org-rhino-3.0.1-15.2.fc10.x86_64
openoffice.org-draw-core-3.0.1-15.2.fc10.x86_64
openoffice.org-ure-3.0.1-15.2.fc10.x86_64
openoffice.org-pyuno-3.0.1-15.2.fc10.x86_64
openoffice.org-calc-3.0.1-15.2.fc10.x86_64
openoffice.org-impress-3.0.1-15.2.fc10.x86_64
openoffice.org-devel-3.0.1-15.2.fc10.x86_64
openoffice.org-wiki-publisher-3.0.1-15.2.fc10.x86_64
openoffice.org-langpack-he_IL-3.0.1-15.2.fc10.x86_64
openoffice.org-bsh-3.0.1-15.2.fc10.x86_64
openoffice.org-report-builder-3.0.1-15.2.fc10.x86_64
openoffice.org-base-3.0.1-15.2.fc10.x86_64
openoffice.org-pdfimport-3.0.1-15.2.fc10.x86_64
openoffice.org-base-core-3.0.1-15.2.fc10.x86_64
openoffice.org-brand-3.0.1-15.2.fc10.x86_64
openoffice.org-sdk-doc-3.0.1-15.2.fc10.x86_64
openoffice.org-testtools-3.0.1-15.2.fc10.x86_64
openoffice.org-emailmerge-3.0.1-15.2.fc10.x86_64
openoffice.org-core-3.0.1-15.2.fc10.x86_64
openoffice.org-langpack-en-3.0.1-15.2.fc10.x86_64
openoffice.org-langpack-de-3.0.1-15.2.fc10.x86_64
openoffice.org-headless-3.0.1-15.2.fc10.x86_64
openoffice.org-presentation-minimizer-3.0.1-15.2.fc10.x86_64
openoffice.org-math-core-3.0.1-15.2.fc10.x86_64
openoffice.org-calc-core-3.0.1-15.2.fc10.x86_64
openoffice.org-presenter-screen-3.0.1-15.2.fc10.x86_64
openoffice.org-impress-core-3.0.1-15.2.fc10.x86_64
openoffice.org-sdk-3.0.1-15.2.fc10.x86_64
openoffice.org-xsltfilter-3.0.1-15.2.fc10.x86_64
openoffice.org-math-3.0.1-15.2.fc10.x86_64
openoffice.org-graphicfilter-3.0.1-15.2.fc10.x86_64
openoffice.org-draw-3.0.1-15.2.fc10.x86_64
Comment 5 Caolan McNamara 2009-02-23 05:05:14 EST
That's a really weird chunk of text, i.e.

<w:WordDocument>
  <w:MailMergeMainDocType>FormLetters</w:MailMergeMainDocType>
  <w:MailMergeLinkToQuery/>
  <w:MailMergeQueryString>

etc

look's more like Microsoft Office OOXML, or MSWord html export, and the file paths listed in it are window-esque. OOo itself surely didn't generate that content itself from scratch.
Comment 6 Eli Wapniarski 2009-02-23 05:27:39 EST
If I create an HTML email mail merge and I get the garbage text. Then it really doesn't matter much who generates the text. I simply open up a file. Request the mailmerge wizard to create an html email. And this is what I get. I certainly can't strip out the junk from the original document. And if OpenOffice can't do it then I would call this a bug. No?
Comment 7 Caolan McNamara 2009-02-23 05:45:07 EST
Well, if the original document somehow happens to contain <w:WordDocument><w:MailMergeMainDocType> as actual *text* then there is no bug. But if the original document is a MSOffice document in ooxml format and the text has become inline text due to an import problem, then its not a mailmerge issue, but an import issue.

Can you attach the original file that you "open up" and create the mailmerge from.
Comment 8 Eli Wapniarski 2009-02-23 06:12:40 EST
Created attachment 332919 [details]
Origianal Document Producing Garbage on HTML mailmerge

Origianal Document Producing Garbage on HTML mailmerge
Comment 9 David Tardon 2009-02-23 07:39:04 EST
HTML email is exported and sent just fine.

I looked around a little and found that XML code is XML export from Word 2003 (WordML, as they call it). AFAIK, there is no way you could get it from openoffice.org, so it's probably caused by an additional export filter. Have you got any extensions installed or any export filters configured? Does 'Save As...'->'HTML Document' work?
Comment 10 David Tardon 2009-02-23 07:39:58 EST
Forgot to set needinfo....
Comment 11 Eli Wapniarski 2009-02-23 07:48:07 EST
It seems to.
Comment 12 Eli Wapniarski 2009-02-23 07:54:22 EST
OK. This is weird. I just tried to copy / paste the orginal document to another to an empty document. And I seem to have gotten those records that I talked about. I'm going to try to clean that out and see if this helps.
Comment 13 Eli Wapniarski 2009-02-23 08:40:10 EST
Firstly... I must of tried something, but I can't remember what it was. But it would seem that I have no MSWord XML extension listed in the Extension Manager. But, when I click on save as and go down the list. Whaddaya know? There is a MS Word 2003 XML export filter.

Secondly. What I did was copy sections that I wanted to a new document. MailMerged and the mailmerge to HTML worked.

Thirdly... I traded one problem for another. Even though my document is formatted from Left to Right. All of it being in English. The email that gets sent get formatted right to left (Arrgh) :)   . But this certainly is progress.

Fourth... Just did a new cut and paste, but first I formatted the page so that under Layout Settings Page layout, I've selected Only left. It seems to work OK now. But this, I guess. should also something that.

Thank You, Thank You, Thank You.


OK... I've got to step away from my computer for serious stuff. I will get back to this tomorrow if there is anything that I can do to help with this problem.
Comment 14 Eli Wapniarski 2009-02-24 02:35:26 EST
OK.. I've had a little time to think on this and what I think happened is this.

I the file to msword xml file. And the saved it again as an odt file. Now... I already have a database attached to the file. When I saved the file as an xml file it pulled in at least some of the database records and made the data hidden. When I saved the file as  odt file it kept the msword xml tag in the files header and also kept the hidden database records.

And this probably corrupted my efforts to create an html email mailmerge document.
Comment 15 David Tardon 2009-02-24 03:51:51 EST
(In reply to comment #14)

Hmm, looks like I knew wrong: openoffice.og _can_ export to WordML, through XSLT filter (openoffice.org-xsltfilter).

> I the file to msword xml file. And the saved it again as an odt file. Now... I
> already have a database attached to the file. When I saved the file as an xml
> file it pulled in at least some of the database records and made the data
> hidden. When I saved the file as  odt file it kept the msword xml tag in the
> files header and also kept the hidden database records.
> 

No, the ODT source doesn't contain any anomalies. You can trust me I'd find them, were there any :)

You can try one more thing: move ~/.openoffice.org away and try to create the mail again. If it works, we'd like to see the original .openoffice.org .
Comment 16 Eli Wapniarski 2009-02-24 06:29:39 EST
Created attachment 333034 [details]
Original .openoffice.org

Eli Wapniarski's orignal .openoffice.org folder.
Comment 17 Caolan McNamara 2009-02-28 09:48:33 EST
I see there's an entry for last used documents of an .xml with Filter "MS Word 2003 XML" in one entry, so that's probably the msxml document involved. But saving a doc as .xml with our filter shows a slightly different structure (e.g. <o:Editor dt:dt="string">OpenOffice.org/3.0$Linux OpenOffice.org_project/300m15$Build-9379</o:Editor>), and the above contained mailmerge info, which we don't implement in that filter, and we don't have an option to send as that format, so I suspect that the document in the original mail come from msoffice itself rather than us.

If anyone can reproduce this from scratch, feel free to reopen with a step-by-step

Note You need to log in before you can comment on or make changes to this bug.